Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85630 - TB ConfPAP.py:108:getfields
Summary: TB ConfPAP.py:108:getfields
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network
Version: 8.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 81720
TreeView+ depends on / blocked
 
Reported: 2003-03-05 09:11 UTC by Neeraj Malve
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-08-11 14:10:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2003:183 normal SHIPPED_LIVE Updated redhat-config-network package available 2003-08-11 04:00:00 UTC

Description Neeraj Malve 2003-03-05 09:11:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3b) Gecko/20030210

Description of problem:
Traceback (most recent call last):
  File "/usr/sbin/neat", line 689, in on_deviceActivateButton_clicked
    if self.save() != 0:
  File "/usr/sbin/neat", line 319, in save
    self.saveDevices()
  File "/usr/sbin/neat", line 326, in saveDevices
    devicelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 104, in save
    chapconf = getCHAPConf()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NC_functions.py",
line 108, in getCHAPConf
    DVchapconf = ConfPAP.ConfPAP("/etc/ppp/chap-secrets")
  File "/usr/lib/python2.2/site-packages/rhpl/ConfPAP.py", line 30, in __init__
    Conf.Conf.__init__(self, filename, '#', ' \t', ' \t')
  File "/usr/lib/python2.2/site-packages/rhpl/Conf.py", line 178, in __init__
    self.read()
  File "/usr/lib/python2.2/site-packages/rhpl/ConfPAP.py", line 35, in read
    self.initvars()
  File "/usr/lib/python2.2/site-packages/rhpl/ConfPAP.py", line 72, in initvars
    var = self.getfields()
  File "/usr/lib/python2.2/site-packages/rhpl/ConfPAP.py", line 108, in getfields
    raise IndexError, 'end quote not found in '+self.filename+':'+var[0]
IndexError: end quote not found in /etc/ppp/chap-secrets:123


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. execute redhat-config-network and add new device, error occurs when try to
save the configuration.
2.
3.
    

Actual Results:  not able to add network device..
fail to save the added device.

Expected Results:  It should add the device or save the added device.

Additional info:

Traceback (most recent call last):
  File "/usr/sbin/redhat-config-network", line 689, in
on_deviceActivateButton_clicked
    if self.save() != 0:
  File "/usr/sbin/redhat-config-network", line 319, in save
    self.saveDevices()
  File "/usr/sbin/redhat-config-network", line 326, in saveDevices
    devicelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 104, in save
    chapconf = getCHAPConf()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NC_functions.py",
line 108, in getCHAPConf
    DVchapconf = ConfPAP.ConfPAP("/etc/ppp/chap-secrets")
  File "/usr/lib/python2.2/site-packages/rhpl/ConfPAP.py", line 30, in __init__
    Conf.Conf.__init__(self, filename, '#', ' \t', ' \t')
  File "/usr/lib/python2.2/site-packages/rhpl/Conf.py", line 178, in __init__
    self.read()
  File "/usr/lib/python2.2/site-packages/rhpl/ConfPAP.py", line 35, in read
    self.initvars()
  File "/usr/lib/python2.2/site-packages/rhpl/ConfPAP.py", line 72, in initvars
    var = self.getfields()
  File "/usr/lib/python2.2/site-packages/rhpl/ConfPAP.py", line 108, in getfields
    raise IndexError, 'end quote not found in '+self.filename+':'+var[0]
IndexError: end quote not found in /etc/ppp/chap-secrets:123

Comment 2 Harald Hoyer 2003-08-11 14:10:21 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-183.html



Note You need to log in before you can comment on or make changes to this bug.